Skip to main content
`Ctrl`+`K`

# PetscDSSetLowerBound

Set the pointwise lower bound function for a given field

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSSetLowerBound(PetscDS ds, PetscInt f, PetscPointBoundFn *lb, PetscCtx ctx)

Not Collective

## Input Parameters

- ds - The `PetscDS`

- f - The field number

- lb - lower bound function for the test fields, see `PetscPointBoundFn`

- ctx - lower bound context or `NULL` which will be passed to `lb`

## See Also

`PetscDS`, `PetscPointBoundFn`, `PetscDSGetLowerBound()`, `PetscDSGetUpperBound()`, `PetscDSGetExactSolution()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

## Examples

src/snes/tutorials/ex34.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages